retryPullRequestScan
Re-runs a pull request scan as a new immutable attempt
retryPullRequestScan(
input: RetryPullRequestScanInput!
): RetryPullRequestScanPayload
Arguments
retryPullRequestScan.input ● RetryPullRequestScanInput! non-null input
Parameters for RetryPullRequestScan
Type
RetryPullRequestScanPayload object
Autogenerated return type of RetryPullRequestScan.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateRetryPullRequestScan($input: RetryPullRequestScanInput!) {\n retryPullRequestScan(input: $input) { clientMutationId scanRun { id asset { __typename } branch { __typename } } success }\n}","variables":{"input":{"scanRunId":"<scan_run_id>"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateRetryPullRequestScan($input: RetryPullRequestScanInput!) {\n retryPullRequestScan(input: $input) { clientMutationId scanRun { id asset { __typename } branch { __typename } } success }\n}",
variables: {
"input": {
"scanRunId": "<scan_run_id>"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateRetryPullRequestScan($input: RetryPullRequestScanInput!) {\n retryPullRequestScan(input: $input) { clientMutationId scanRun { id asset { __typename } branch { __typename } } success }\n}",
'variables': json.loads("{\"input\":{\"scanRunId\":\"<scan_run_id>\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute